Topics

PDK 1.11.1 now available

Jesse Scott
 

Hello!

We’re pleased to announce the latest release of Puppet Development Kit (PDK), version 1.11.1.

This release contains fixes for two bugs that were impacting the usage of PDK in Continuous Integration (CI) environments such as Travis CI:
  • PDK will now use environment variables to recognize common CI environments and always treat those environments as "noninteractive" which will bypass (among other things) the recently added analytics opt-out prompt.
  • The analytics opt-out prompt will now always be skipped if the PDK_DISABLE_ANALYTICS environment variable is set.
To learn more about these issues and the fixes implemented, please see the PDK release notes: https://puppet.com/docs/pdk/1.x/release_notes_pdk.html#release-notes-pdk-x.11.1

To upgrade to this new version, download it for Windows, macOS, and Linux platforms at https://puppet.com/download-puppet-development-kit. For Yum or Apt-based Linux users, you can install PDK via the Puppet Linux repos or using yum or apt on the Linux command line. macOS users can also install and upgrade via Homebrew: https://github.com/puppetlabs/homebrew-puppet#pdk

Thanks!